import { GeoHash } from 'geohash';
import calculateFees from '../../../src/utils/calculateFees';
import { hash } from '../../../src/utils/crypto';

const sellers = [
  {
    email: 'a@vin.fr',
    password: hash('av'),
    name: 'Le vin Chaponnais !',
    address: {
      create: {
        city: 'Paris',
        street: '18 rue Chapon',
        postalCode: '75003',
      },
    },
    latitude: 48.863434,
    longitude: 2.356136,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.863434, 2.356136),
    items: {
      create: [
        {
          name: 'Le chenin sur la colline',
          description: 'Vin blanc de Loire, ce chenin d\'azay-le rideau\' se distingue par ses notes acides et le gras prononcé qui fait l\'apannage des grands. Un excellent choix alors que la saison des huitres débute!',
          ean: '123456',
          price: 22,
          quantity: 30,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: '6 Verres Degrenne',
          description: 'Ces verres à encolure large de 20 cl conviennent aux vins fermés de type Bordeaux ou Côte du rhone. Elégant et faient en france, leur qualité est garantie',
          ean: '987654',
          price: 45,
          quantity: 10,
          type: 'MISCELLANEOUS',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Chateau Beychvieille 2015',
          description: 'Parmi les plus grandes référence des vignobles de saint-Emilion s\'offrnet à vous. Millésimé 2015, ce grand vin de Bordeaux ne deçoit pas avec sa notre de 96/100 au parker guide',
          ean: '123456',
          price: 230,
          quantity: 18,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'b@vin.fr',
    password: hash('bv'),
    name: 'L\'Ours Bourré',
    address: {
      create: {
        city: 'Paris',
        street: '12 rue aux Ours',
        postalCode: '75003',
      },
    },
    latitude: 48.863421,
    longitude: 2.351273,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.863421, 2.351273),
    items: {
      create: [
        {
          name: 'Talisker Storm',
          description: 'Ce whiskey Tourbé, c\'est l\'ADN de l\'ile de Skye. Ne passez pas à coté de ce nectar brun à la fois élégant et puissant. Une rareté pour le palais !',
          ean: '123456',
          price: 45,
          quantity: 30,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: '6 Pack - Don\'t worry be IPA',
          description: 'PAck de 6 bières craft de la micro-brasserie P\'tite Maiz. IPA à l\'IBU de 76 pour une Amertume de connaisseur! Houblon CITRA et CASCADE ',
          ean: '987654',
          price: 18,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'RHUM DOM PAPA',
          description: 'C\'est une évidence ce Rhum. Si vous ne le connaissez pas, cela deviendera une bible, une référence ! Brun des caraïbe, ce Rhum est élévé dans des fûts de vin de bourgogne',
          ean: '123456',
          price: 68,
          quantity: 15,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'c@vin.fr',
    password: hash('cv'),
    name: 'La cave du Saint',
    address: {
      create: {
        city: 'Paris',
        street: '36 rue saint Paul',
        postalCode: '75004',
      },
    },
    latitude: 48.854191,
    longitude: 2.3625,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.854191, 2.3625),
    items: {
      create: [
        {
          name: 'Volnay - Nicolas Rossignol 2012',
          description: 'Vin de garde 15 ans - Robe brune pour une évolution d\'un Pinot Noir d\'exception. 2012, année pluvieuse puis solaire pour une expresio  terreuse du millésime. 89 / 100 au parker',
          ean: '123456',
          price: 280,
          quantity: 6,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Taille au Loup - Remus - 2018',
          description: 'Vin de garde 10 ans - Un superbe exemple des Chenin de Loire vinifié par le maitre Jacky Blot. 2018, une belle année minérale - 100/100 au parker ',
          ean: '987654',
          price: 18,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Tire Bouchon Wahou',
          description: 'Un peu d\'Humour en Ouvrant vos grands Crus. Serieux moyen mais effet garantie. Pour bien boire, il faut bien rire!',
          ean: '123456',
          price: 14,
          quantity: 40,
          type: 'MISCELLANEOUS',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'd@vin.fr',
    password: hash('dv'),
    name: 'Le vin de Ferdinand',
    address: {
      create: {
        city: 'Paris',
        street: '3 rue Ferdinand Duval',
        postalCode: '75004',
      },
    },
    latitude: 48.856239,
    longitude: 2.359234,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.856239, 2.359234),
    items: {
      create: [
        {
          name: 'Michel Couvreur - Candid',
          description: 'Voila enfin dans notre selection le whisky Français par excellence ! Bientôt Noel ! N\'hesitez pas à surpendre avec ce vrai nectar florale snas trop de tourbe',
          ean: '123456',
          price: 60,
          quantity: 15,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Taille au Loup - Remus - 2018',
          description: 'Vin de garde 10 ans - Un superbe exemple des Chenin de Loire vinifié par le maitre Jacky Blot. 2018, une belle année minérale - 100/100 au parker ',
          ean: '987654',
          price: 18,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: '6 verre à whiskey - Glencairn',
          description: 'Ces verres en cristal sont superbe et accueil parfaitement votre whiskey de fin de repas. Qualité garantie pour un verre emblématique.',
          ean: '123456',
          price: 30,
          quantity: 10,
          type: 'MISCELLANEOUS',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'e@vin.fr',
    password: hash('ev'),
    name: 'Ca mousse tard !',
    address: {
      create: {
        city: 'Paris',
        street: '18 rue Mouffetard',
        postalCode: '75005',
      },
    },
    latitude: 48.844335,
    longitude: 2.34924,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.844335, 2.34924),
    items: {
      create: [
        {
          name: '6 Pack - Don\'t worry be IPA 33cl',
          description: 'CITRA ET CASCADE - IBU 78 - Amertume et agrume. Jolie Mousse. Microbrasserie de Touraine ',
          ean: '987654',
          price: 18,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: '6 pack Elixkir triple 33cl',
          description: 'TRIPLE FERMENTATION - Biere de Garde - Fort gout et alcool généreux. Idéal pour vos races.',
          ean: '987654',
          price: 24,
          quantity: 10,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Calendrier de L\'avent-Biere 2019',
          description: 'C\'est devenu un Classique! C\'est agréable, de qualité ert de saison. Cédez à ce beau packaging et attendez Nöel en sirotant quelques unes des meilleures bières du monde',
          ean: '123456',
          price: 75,
          quantity: 12,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'f@vin.fr',
    password: hash('fv'),
    name: 'La cave de Saint Germain',
    address: {
      create: {
        city: 'Paris',
        street: '54 Boulevard saint Germain',
        postalCode: '75005',
      },
    },
    latitude: 48.850008,
    longitude: 2.349433,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.850008, 2.349433),
    items: {
      create: [
        {
          name: 'Volnay - Nicolas Rossignol 2012',
          description: 'Vin de garde 15 ans - Robe brune pour une évolution d\'un Pinot Noir d\'exception. 2012, année pluvieuse puis solaire pour une expresio  terreuse du millésime. 89 / 100 au parker',
          ean: '123456',
          price: 280,
          quantity: 6,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Taille au Loup - Remus - 2018',
          description: 'Vin de garde 10 ans - Un superbe exemple des Chenin de Loire vinifié par le maitre Jacky Blot. 2018, une belle année minérale - 100/100 au parker ',
          ean: '987654',
          price: 18,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Tire Bouchon Wahou',
          description: 'Un peu d\'Humour en Ouvrant vos grands Crus. Serieux moyen mais effet garantie. Pour bien boire, il faut bien rire!',
          ean: '123456',
          price: 14,
          quantity: 40,
          type: 'MISCELLANEOUS',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'a@resto.fr',
    password: hash('ar'),
    name: 'La belle Poularde !',
    address: {
      create: {
        city: 'Paris',
        street: '42 rue Beaubourg',
        postalCode: '75003',
      },
    },
    latitude: 48.862192,
    longitude: 2.354148,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.862192, 2.354148),
    items: {
      create: [
        {
          name: 'Menu dégustation',
          description: 'Un menu qui vous mettra l\'eau à la bouche. Produit de saison finement cuisiné par nos soins, vos papilles ne sauront résister.',
          ean: '123456',
          price: 24,
          quantity: 12,
          type: 'RESTAURANT',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Menu Terroir',
          description: 'Un menu orienté autour de produit fin tel le homard, la poule de bresse et le foie gras. Accord met-vin compris dnas le menu',
          ean: '987654',
          price: 45,
          quantity: 12,
          type: 'RESTAURANT',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'b@resto.fr',
    password: hash('br'),
    name: 'Le Bar Bottin',
    address: {
      create: {
        city: 'Paris',
        street: '80 rue des archives',
        postalCode: '75003',
      },
    },
    latitude: 48.862952,
    longitude: 2.36031,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.862952, 2.36031),
    items: {
      create: [
        {
          name: 'Bouteille - La familia 75cl Chinon',
          description: 'Une très belle quille de rouge du vigneron Sigonneau. Vin de caractère fait 100% cabernet sauvignon. Idéal avec fromage et charcuterie. Un vin tanique très réussit',
          ean: '123456',
          price: 28,
          quantity: 30,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Ardois de charcuterie',
          description: 'Une selection de nos meilleurs venaisons venues de France et d\'Europe; des Grisons à Bayonne. Belle qualtité, chiffonade généreuse. Une ardois servit avec un apin de seigle et du beurre de guérande ',
          ean: '987654',
          price: 22,
          quantity: 20,
          type: 'RESTAURANT',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Pinte Punk IPA 50cl',
          description: 'Une IPA de qualité à l\'amertume prononcé. Une biere qui plaira à vos amis ! Rafraichissante et idéale pour débuter la soirée !',
          ean: '123456',
          price: 6.90,
          quantity: 40,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'c@resto.fr',
    password: hash('cr'),
    name: 'Resto sur l\'eau',
    address: {
      create: {
        city: 'Paris',
        street: '36 rue saint Louis en l\'île',
        postalCode: '75004',
      },
    },
    latitude: 48.851641,
    longitude: 2.357193,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.851641, 2.357193),
    items: {
      create: [
        {
          name: 'Menu des moines',
          description: 'Entrée : blabblablablabla ; PLAT : Blablablablalbalba ; DESSERT : Blablablalblablalba',
          ean: '123456',
          price: 18,
          quantity: 20,
          type: 'RESTAURANT',
          ecoFriendly: false,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'd@resto.fr',
    password: hash('dr'),
    name: 'Un verre, puis deux !',
    address: {
      create: {
        city: 'Paris',
        street: '36 rue de la Verrerie',
        postalCode: '75004',
      },
    },
    latitude: 48.85776,
    longitude: 2.353722,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.85776, 22.353722),
    items: {
      create: [
        {
          name: '6 cl - Michel Couvreur - Candid',
          description: 'Whiskey Français fait en Alsace. Idéal pour connaisseur assoiffé de nouveauté',
          ean: '123456',
          price: 12,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: '12 cl - Taille au Loup - Remus - 2018',
          description: 'Un superbe exemple des Chenin de Loire vinifié par le maitre Jacky Blot. 2018, une belle année minérale - 100/100 au parker ',
          ean: '987654',
          price: 8,
          quantity: 24,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: '6 Huitre Gillardeau N°3',
          description: 'Ces huitres viennent chaque matin nous voir et font aprtie des élevages les pus rares de France. Une qualité hors normes.',
          ean: '123456',
          price: 20,
          quantity: 10,
          type: 'RESTAURANT',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'e@resto.fr',
    password: hash('er'),
    name: 'Taco Tac',
    address: {
      create: {
        city: 'Paris',
        street: '8 rue des Bernardins',
        postalCode: '75005',
      },
    },
    latitude: 48.850667,
    longitude: 2.350947,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.850667, 2.350947),
    items: {
      create: [
        {
          name: 'Burrito de pollo',
          description: 'Notre burrito classique servi avec nos sauces et tortilla faites maisons. Accompagnement de Guacamole ',
          ean: '987654',
          price: 14,
          quantity: 20,
          type: 'RESTAURANT',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Quesadillas Fromage con Carne',
          description: 'Grosse portion de Totillas maisons accompagnés de fromage de chèvre fondu et de viande marinée aux épices méxicaines! Un apéro parfait !',
          ean: '987654',
          price: 12,
          quantity: 30,
          type: 'RESTAURANT',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Pichet de Mojito 75 cl',
          description: 'Notre Mojito maison est fait de rhum de Don Papa, de menthe du jardin, de glace pilée et de beaucoup d\'amour. Un gros pichet bien frais pour accompagner ou débuter le repas !',
          ean: '123456',
          price: 22,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'f@resto.fr',
    password: hash('fr'),
    name: 'La vieille époque',
    address: {
      create: {
        city: 'Paris',
        street: '41 rue Monge',
        postalCode: '75005',
      },
    },
    latitude: 48.845618,
    longitude: 2.35213,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.845618, 2.35213),
    items: {
      create: [
        {
          name: 'Menu D\'antant',
          description: 'Un restaurant fait uniquement d\'ancienne recette, mijoté et bistrotier. Un petit gout de reviens-y; une madeleine de Proust !',
          ean: '123456',
          price: 22,
          quantity: 8,
          type: 'LIQUOR',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Menu de mémé',
          description: 'Là, on atteint le must de la madeleine de Proust. Pensez à ntre vieille France et à ses saveurs...Vous y êtes ! On vous attend. Le vin est au frais, les huitres prêtes à être ouvertes! ',
          ean: '987654',
          price: 38,
          quantity: 20,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Le café Gourmand de mémé',
          description: 'Un café Gourmand fait par nos petites mains. Café à la cafetière en métal du Vénézuéla et gateaux spongieux aux chocolat et au rhum! HHhuummm',
          ean: '123456',
          price: 8,
          quantity: 40,
          type: 'MISCELLANEOUS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'a@livre.fr',
    password: hash('al'),
    name: 'La page blanche !',
    address: {
      create: {
        city: 'Paris',
        street: '78 rue de Turbigo',
        postalCode: '75003',
      },
    },
    latitude: 48.866503,
    longitude: 2.36109,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.866503, 2.36109),
    items: {
      create: [
        {
          name: 'Felines',
          description: 'Ceci pourrait être vrai... Imaginez que toute une génération de jeunes filles de 15 ans subisse une mutation... Que leur corps se couvre de poils et que leurs sens s’aiguisent tels des félins... La peur s’emparera de vous, et vous laisserez à ceux qui veulent “régler le problème” toute latitude. Et là, il sera trop tard ! Vos filles, vos sœurs, vos amies et petites amies seront reléguées au ban de la société, déshumanisées, traitées en bêtes et vous n’aurez plus votre mot à dire.\nSauf... sauf si vous entrez en résistance aux côtés de celles qui luttent encore, qui se sont échappées et qui veulent faire entendre leurs voix. Comme Louise R., rejoignez les Félines pour empêcher l’Histoire de se répéter ! Résistance !!!\nUn récit à cent à l’heure qui ne vous laisse aucun répit et qui vous met dans la bouche un gout désagréable de “et si ça recommençait...”.',
          ean: '123456',
          price: 16,
          quantity: 40,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Signé Poete X',
          description: 'Il faut absolument lire ce petit bijou multi-primé outre atlantique !\nC’est avec un rythme endiablé que les mots d’Elizabeth Acevedo nous entrainent au cœur de la révolte de Xiomara.\nRendue muette par le carcan religieux que lui impose sa mère, ses tabous et la honte de devenir femme, ce sont ses poings qui prennent la parole face au harcèlement sexuel quotidien au lycée comme dans la rue. Et parce que son corps plantureux attise la convoitise des hommes et attire les foudres de sa mère (la frontière est très mince entre la jeune fille rangée et la fille de mauvaise vie...) elle voudrait disparaître, s’effacer.\nMais les mots en ont décidé autrement et inondent le carnet offert par son frère jumeaux, le pieux Xavier, son opposé et son ombre, jusqu’à déborder dans ses devoirs de littérature. Et c’est son professeur, Ms. Galiano, qui aura la clé de ce coffre de secrets et de souffrance et l’aidera à libérer ce trésor de sensualité, de révolte et bien entendu d’amour.\n  Ce livre est une pièce magistrale pour se battre contre les violences physiques et psychiques faites aux femmes au nom de principes moraux dictés par la peur et la bêtise.',
          ean: '987654',
          price: 17,
          quantity: 15,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'b@livre.fr',
    password: hash('bl'),
    name: 'Le pavé dans le quartier',
    address: {
      create: {
        city: 'Paris',
        street: '18 rue Cunin-Gridaine',
        postalCode: '75003',
      },
    },
    latitude: 48.865158,
    longitude: 2.354348,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.865158, 2.354348),
    items: {
      create: [
        {
          name: 'Nous sommes l\'étincelles',
          description: 'Dans une société bouleversée, certains sont partis vivre dans la Réserve au sein de la nature redevenue sauvage, pendant que d’autres sont restés dans les villes hyper sécurisées. C’est l’histoire de nouvelles voies à emprunter, utopiques ou plutôt réalistes, pour redécouvrir l’Humain et affronter les grands changements annoncés.',
          ean: '123456',
          price: 19,
          quantity: 30,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Par les routes',
          description: 'J\'ai retrouvé l\'autostoppeur dans une petite ville du sud de la France, après des années sans penser à lui. Je l\'ai retrouvé amoureux, installé, devenu père. Je me suis rappelé tout ce qui m\'avait décidé, autrefois, à lui demander de sortir de ma vie. J\'ai frappé à sa porte. J\'ai rencontré Marie. ',
          ean: '987654',
          price: 19,
          quantity: 20,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Un moindre mal',
          description: 'Cape Cod, 1957. Dans cette petite communauté tranquille, une série de meurtres d\'enfants paralyse la population et bouleverse la routine du lieutenant Warren. Une famille disparaît dans d\'étranges circonstances, un homme se fait violemment tabasser et refuse de dénoncer ses agresseurs. L\'enquête de Warren piétine et sa position devient intenable quand des policiers de choc débarquent de Boston, dirigés par le légendaire Stasiak, flic brutal et manipulateur aux pratiques douteuses. Dépossédé de ses dossiers, Warren poursuit pourtant l\'enquête, au risque d\'y perdre sa place, sa réputation et peut-être beaucoup plus.',
          ean: '123456',
          price: 11,
          quantity: 50,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'c@livre.fr',
    password: hash('cl'),
    name: 'Librairie sur seine',
    address: {
      create: {
        city: 'Paris',
        street: '8 rue des deux ponts',
        postalCode: '75004',
      },
    },
    latitude: 48.851484,
    longitude: 2.357193,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.851484, 2.357193),
    items: {
      create: [
        {
          name: 'De pierre et d\'os',
          description: '« Les Inuit sont un peuple de chasseurs nomades se déployant dans l\'Arctique depuis un millier d\'années. Jusqu\'à très récemment, ils n\'avaient d\'autres ressources à leur survie que les animaux qu\'ils chassaient, les pierres laissées libres par la terre gelée, les plantes et les baies poussant au soleil de minuit. Ils partagent leur territoire immense avec nombre d\'animaux plus ou moins migrateurs, mais aussi avec les esprits et les éléments. L\'eau sous toutes ses formes est leur univers constant, le vent entre dans leurs oreilles et ressort de leurs gorges en souffles rauques. Pour toutes les occasions, ils ont des chants, qu\'accompagne parfois le battement des tambours chamaniques. » (note liminaire du roman) Dans ce monde des confins, une nuit, une fracture de la banquise sépare une jeune femme inuit de sa famille. Uqsuralik se voit livrée à elle-même, plongée dans la pénombre et le froid polaire. Elle n\'a d\'autre solution pour survivre que d\'avancer, trouver un refuge. Commence ainsi pour elle, dans des conditions extrêmes, le chemin d\'une quête qui, au-delà des vastitudes de l\'espace arctique, va lui révéler son monde intérieur. Deux ans après son roman Née contente à Oraibi, qui nous faisait découvrir la culture des indiens hopis, Bérengère Cournut poursuit sa recherche d\'une vision alternative du monde avec un roman qui nous amène cette fois-ci dans le monde inuit. Empreint à la fois de douceur, d\'écologie et de spiritualité, De pierre et d\'os nous plonge dans le destin solaire d\'une jeune femme eskimo. Édition augmentée d\'un cahier de photographies.',
          ean: '123456',
          price: 19,
          quantity: 20,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Avant que j\'oublie',
          description: 'Il y a d\'un côté le colosse unijambiste et alcoo- lique, et tout ce qui va avec : violence conju- gale, comportement irrationnel, tragi-comédie du quotidien, un « gros déglingo », dit sa fille, un vrai punk avant l\'heure. Il y a de l\'autre le lecteur autodidacte de spiritualité orientale, à la sensibilité artistique empêchée, déposant chaque soir un tendre baiser sur le portrait pixellisé de feue son épouse ; mon père, dit sa fille, qu\'elle seule semble voir sous les appa- rences du premier. Il y a enfin une maison, à Carrières-sous-Poissy et un monde ancienne- ment rural et ouvrier. De cette maison, il va bien falloir faire quelque chose à la mort de ce père Janus, colosse fragile à double face. Capharnaüm invraisemblable, caverne d\'Ali-Baba, la maison délabrée devient un réseau infini de signes et de souvenirs pour sa fille qui décide de trier méthodiquement ses affaires. Que disent d\'un père ces recueils de haïkus, auxquels des feuilles d\'érable ou de papier hygiénique font office de marque-page ? Même elle, sa fille, la narratrice, peine à déceler une cohérence dans ce chaos. Et puis, un jour, comme venue du passé, et parlant d\'outre- tombe, une lettre arrive, qui dit toute la vérité sur ce père aimé auquel, malgré la distance sociale, sa fille ressemble tant.',
          ean: '123456',
          price: 14,
          quantity: 30,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'La guerre des pauvres',
          description: '1524, les pauvres se soulèvent dans le sud de l\'Allemagne. L\'insurrection s\'étend, gagne rapidement la Suisse et l\'Alsace. Une silhouette se détache du chaos, celle d\'un théologien, un jeune homme, en lutte parmi les insurgés. Il s\'appelle Thomas Müntzer. Sa vie terrible est romanesque. Cela veut dire qu\'elle méritait d\'être vécue ; elle mérite donc d\'être racontée.',
          ean: '123456',
          price: 8.5,
          quantity: 20,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Le discours',
          description: '«Tu sais, ça ferait très plaisir à ta soeur si tu faisais un petit discours le jour de la cérémonie.» C\'est le début d\'un dîner de famille pendant lequel Adrien, la quarantaine déprimée, attend désespérément une réponse au message qu\'il vient d\'envoyer à son ex. Entre le gratin dauphinois et les amorces de discours, toutes plus absurdes les unes que les autres, se dessine un itinéraire sentimental touchant et désabusé, digne des meilleures comédies romantiques. Un récit savamment construit où le rire le dispute à l\'émotion.',
          ean: '123456',
          price: 16,
          quantity: 30,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'd@livre.fr',
    password: hash('dl'),
    name: 'Page après page !',
    address: {
      create: {
        city: 'Paris',
        street: '4 rue chanoinesse',
        postalCode: '75004',
      },
    },
    latitude: 48.854152,
    longitude: 2.350277,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.854152, 2.350277),
    items: {
      create: [
        {
          name: 'La religion française',
          description: 'De Philippe le Bel à De Gaulle, en passant par Louis XIV, Robespierre et Napoléon Ier, des Légistes médiévaux aux Constitutionnalistes contemporains en passant par les Politiques renaissants, de la destruction des templiers à l\'expulsion des congrégations en passant par les dragonnades, et de la confrérie du Saint-Sacrement au Grand Orient en passant par Port-Royal, c\'est l\'histoire oubliée de la religion française qu\'exhume cet essai iconoclaste. Pas plus que la France, la laïcité n\'a commencé en 1905 ou débuté en 1789. Elle est l\'autre nom de la singularité qui, depuis les débuts, a constitué un invariant de notre histoire, un constituant de notre pays, l\'essence de notre politique. Elle a porté à son terme la relation exclusive, mimétique et critique, traversant monarchie et république, envers l\'icône du pouvoir suprême, la Rome des Césars et des Pontifes. Elle est l\'aboutissement, sur un millénaire, du rapport unique tissé entre religion et nation, hérité de l\'Israël biblique, afin de lutter contre les féodalités et les empires. Au contraire des illusions sur la neutralité laïque ou le pacte laïc, l\'État n\'aura ainsi cessé d\'imposer aux Églises la neutralisation de leurs ambitions et la domination de ses règles. Les Églises y auront gagné l\'émancipation de leurs théologies. De guerre lasse, voulons-nous aujourd\'hui enterrer notre culte commun, celui de l\'indépendance et de la liberté ?',
          ean: '123456',
          price: 20,
          quantity: 30,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'La cité Babel',
          description: 'Dans l\'immeuble Cité Babel vivent 3 familles aux croyances différentes : la famille musulmane, la famille juive et la famille chrétienne. Au rez-de-chaussée se trouve l\'épicerie de M. Félix qui, lui, est athée. Grâce aux appartements illustrés en coupe, nous voyons ces familles vivre au fil des saisons les moments forts et les grandes fêtes de leur religion, ainsi que les rites liés à la naissance, au mariage, à la mort Sans prétendre tout expliquer, ce livre entre avec des mots simples au coeur de chaque religion, les replaçant dans leur vécu au quotidien, mettant en évidence leurs points communs et montre l\'importance du vivre ensemble.',
          ean: '987654',
          price: 16.5,
          quantity: 20,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Peut-on parler de religion à l\'école',
          description: 'En 2002, le rapport Debray affirmait l\'importance de reconnaître et d\'enseigner le fait religieux. Pourtant, plus de quinze ans après, alors que la question a resurgi avec les attentats de 2015, le sujet revient à échéance régulière dans les discours politiques et l\'on s\'affronte encore sur les manières de s\'y prendre ou sur le risque d\'une atteinte à la laïcité. Au-delà de la chronique du débat sur l\'enseignement des faits religieux, l\'ouvrage propose une lecture distanciée des résistances et des difficultés mais aussi des avancées réalisées au fil des  réformes successives des programmes. Que sont les « faits religieux » et en quoi est-il laïque de les aborder en classe ? Comment respecter le principe de neutralité sans esquiver le sujet ? Si l\'histoire est souvent en première ligne, un plaidoyer particulier est consacré ici à l\'approche par les arts, tant leur étude donne accès aux univers symboliques des religions, en favorisant tout à la fois une fine contextualisation et la sensibilité du regard.',
          ean: '123456',
          price: 18,
          quantity: 10,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'e@livre.fr',
    password: hash('el'),
    name: 'Le livre sage',
    address: {
      create: {
        city: 'Paris',
        street: '18 rue Cujas',
        postalCode: '75005',
      },
    },
    latitude: 48.848038,
    longitude: 2.350947,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.848038, 2.350947),
    items: {
      create: [
        {
          name: 'Comment devenir aussi sage qu\'un Chinois',
          description: 'Une initiation aux sagesses chinoises, qui prend ses racines dans les textes traditionnels et nous aide à mieux vivre dans le monde d\'aujourd\'hui. Ce livre combine érudition, observation et humour, il est écrit par un surdoué de 27 ans qui vit en Chine depuis dix ans.',
          ean: '987654',
          price: 19,
          quantity: 20,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Rire et guérir ; comment se débarrasser de ses angoisses, de ses phobies, de ses déprimes',
          description: 'Vous doutez de vous-même ? Un simple rhume et vous pensez que votre fin est proche ? Votre patron est narcissique ? Vous ne supportez pas les chiens ? Les pigeons ? Vous étouffez dès que vous êtes coincé à la caisse d\'un grand magasin ? Votre époux est paranoïaque ? Alors, ce livre vous fera le plus grand bien ! Conçu comme un véritable kit de survie contre la morosité ambiante, les déprimes et les personnalités toxiques, les textes de Christophe André alliés aux dessins de Muzo apportent réponses claires et solutions pratiques, sur un ton aussi sérieux que léger. Préface inédite illustrée Reprise en un volume des 3 livres cultes : Je dépasse mes peurs et mes angoisses, Je guéris mes complexes et mes déprimes et Je résiste aux personnalités toxiques.',
          ean: '987654',
          price: 20,
          quantity: 30,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Empathie et manipulations ; les pièges de la compassion',
          description: 'Empathie : évocateur d\'altruisme, voire d\'amour, ce mot a de quoi séduire en ces temps où nous cherchons des raisons d\'espérer. Pourtant, l\'empathie est menacée, notamment par des manipulations qui en brouillent les enjeux. Ainsi, l\'empathie pour la souffrance d\'autrui est exploitée à des fins malhonnêtes ; L\'idéalisme généreux des adolescents est détourné par des extrémistes ; de nouveaux systèmes économiques exonèrent les acteurs de la maltraitance de leurs responsabilités ; des fabricants d\'objets plus ou moins utiles cherchent à détourner notre empathie naturelle à leur profit... D\'où l\'alerte lancée par Serge Tisseron, psychanalyste et psychiatre. L\'auteur de L\'empathie au coeur du jeu social nous invite à réfléchir à nos bonnes intentions et aux pièges auxquels elles peuvent nous conduire. L\'empathie peut être un terrain miné, un champ de manipulations et même un terrain de luttes idéologiques. Attention : danger !',
          ean: '123456',
          price: 17,
          quantity: 20,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'f@livre.fr',
    password: hash('fl'),
    name: 'Géogralivre',
    address: {
      create: {
        city: 'Paris',
        street: '10 rue du Sommerard',
        postalCode: '75005',
      },
    },
    latitude: 48.849935,
    longitude: 2.35213,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.849935, 2.35213),
    items: {
      create: [
        {
          name: 'Sur les chemins noirs',
          description: 'Avec cette traversée à pied de la France réalisée entre août et novembre 2015, Sylvain Tesson part à la rencontre d\'un pays isolé, sauvage et méconnu. C\'est aussi l\'occasion d\'une reconquête intérieure après la terrible chute qui a failli lui coûter la vie en août 2014. Le voici donc en route , par les petits chemins que plus personne n\'emprunte, en route vers ces vastes territoires non connectés, qui ont miraculeusement échappé aux assauts de l\'urbanisme et de la technologie, mais qui apparaissent sous sa plume habités par une vie ardente, turbulente et fascinante.',
          ean: '123456',
          price: 6.8,
          quantity: 30,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Passage en Alaska',
          description: '«La mer me fait peur», avoue Jonathan Raban, navigateur hors pair, et c\'est ce mélange d\'angoisse et de fascination qui fait le prix de ce livre. À peine installé à Seattle, il décide de rejoindre à la voile Juneau, en Alaska : mille six cents kilomètres d\'un entrelacs d\'îles et de canaux aux eaux tourbillonnantes, traversés de courants dangereux, empruntés pourtant depuis des temps immémoriaux. Ici s\'est épanouie la culture du canoë des peuples autochtones, avec leurs fabuleux masques peints, leur iconographie complexe, leurs histoires de dieux sous-marins aussi néfastes que retors. Trappeurs et autres coureurs des bois eurent tôt fait de s\'engouffrer dans le sillage des premiers explorateurs, eux-mêmes bientôt suivis par des colons, des missionnaires, des anthropologues et des pêcheurs dont les histoires, les rêves, les conflits hantent parfois chaque pouce de terrain. Est-ce par nécessité de faire le point que Raban a levé l\'ancre? Ou bien par besoin de s\'immerger dans l\'énigme de la mer, d\'en recueillir l\'écho dans les mythologies et les arts indiens, dans les journaux du capitaine Vancouver, dans la poésie et la peinture, dans la physique des vagues. Peu à peu, cette aventure dans le «Grand Dehors», au coeur de la nature sauvage, entraînera l\'auteur dans des eaux plus profondes, plus sombres, plus personnelles qu\'il ne l\'avait imaginé, quand un drame imprévu bouleversera le déroulement du voyage et le précipitera dans une exploration des replis les plus secrets du coeur de l\'homme.',
          ean: '987654',
          price: 24,
          quantity: 20,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Perdu au paradis',
          description: 'Tombé amoureux du village de Rohuna et de ses environs il y a plus de vingt ans, Umberto Pasti a transformé ce coin perdu au nord du Maroc en un véritable jardin d\'Éden. Il s\'est engagé sans réserve pour défendre la diversité et la splendeur des paysages encore préservés d\'une modernisation effrénée. Aventure sociale et humaine unique, ce livre est le fruit d\'un dialogue exemplaire entre un Européen libre de préjugés et les habitants d\'un village aux coutumes encore ancestrales, qui ont fait cause commune envers et contre tous les obstacles.',
          ean: '123456',
          price: 21,
          quantity: 30,
          type: 'BOOK',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'a@fleur.fr',
    password: hash('af'),
    name: 'La tige parisienne',
    address: {
      create: {
        city: 'Paris',
        street: '61 rue de Turenne',
        postalCode: '75003',
      },
    },
    latitude: 48.858905,
    longitude: 2.364416,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.858905, 2.364416),
    items: {
      create: [
        {
          name: 'Le gros bouquet',
          description: 'Composer votre bouquet de fleur parmi nos fleur fraiche coupé pour un montant de 50 euros',
          ean: '123456',
          price: 50,
          quantity: 80,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'La jolie attention',
          description: 'Vous pensez simplement à quelqu\'un et lui offrez quelques petites fleurs parmi celle que nous avons pour un montant de 20 euros',
          ean: '987654',
          price: 20,
          quantity: 80,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'b@fleur.fr',
    password: hash('bf'),
    name: 'Le bouquet de Suzanne',
    address: {
      create: {
        city: 'Paris',
        street: '40 rue de Bretagne',
        postalCode: '75003',
      },
    },
    latitude: 48.863154,
    longitude: 2.362228,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.863154, 2.362228),
    items: {
      create: [
        {
          name: 'Nos Compositions fraiches',
          description: 'Choisissez parmi nos compositions de fleur et condiments naturels pour ue somme de 25 euros',
          ean: '123456',
          price: 25,
          quantity: 30,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'La Rose des mères',
          description: 'Pensez à offrir une petite fleur à votre maman, c\'est bientôt sa fête!',
          ean: '987654',
          price: 5,
          quantity: 200,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'La jolie attention',
          description: 'Vous pensez simplement à quelqu\'un et lui offrez quelques petites fleurs parmi celle que nous avons pour un montant de 20 euros',
          ean: '987654',
          price: 20,
          quantity: 80,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'c@fleur.fr',
    password: hash('cf'),
    name: 'Beaubourg(eon)',
    address: {
      create: {
        city: 'Paris',
        street: '2 rue Simon le Franc',
        postalCode: '75004',
      },
    },
    latitude: 48.859917,
    longitude: 2.354245,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.859917, 2.354245),
    items: {
      create: [
        {
          name: 'Bourgeon de Tulipe (*1)',
          description: 'Achetez notre sélection de Tulipes Françaises, cultivées avec soin, dans le respect de la nature, dans nos serres d\'île de France',
          ean: '123456',
          price: 5,
          quantity: 60,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Bourgeon de Tulipe (*3)',
          description: 'Achetez notre sélection de Tulipes Françaises, cultivées avec soin, dans le respect de la nature, dans nos serres d\'île de France',
          ean: '123456',
          price: 14,
          quantity: 60,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Bourgeon de Tulipe (*9)',
          description: 'Achetez notre sélection de Tulipes Françaises, cultivées avec soin, dans le respect de la nature, dans nos serres d\'île de France',
          ean: '123456',
          price: 40,
          quantity: 60,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'd@fleur.fr',
    password: hash('df'),
    name: 'Fleurland',
    address: {
      create: {
        city: 'Paris',
        street: '8 rue Rambuteau',
        postalCode: '75004',
      },
    },
    latitude: 48.860362,
    longitude: 2.356221,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.860362, 2.356221),
    items: {
      create: [
        {
          name: 'Arrosoir métal vert 8L',
          description: 'Un arrosoir qui conviendra à tous les amoureux de leurs plantes. léger et design, il s\'accroche partout. On peut arroser ou l\'admirer!',
          ean: '123456',
          price: 22,
          quantity: 20,
          type: 'MISCELLANEOUS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Terreau universel GEOLIA',
          description: 'C\'est sur, cela étonne mais quel beau cadeau. Avec un sachet de terreau, offrez des centaines de possibilités de faire pousser des fleurs ! ',
          ean: '987654',
          price: 5.50,
          quantity: 24,
          type: 'MISCELLANEOUS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Bouquet Du jour',
          description: 'Offrez notre bouquet du jour. On les a fait pousser pas loin, elles sont fraiche et on vous en fait un superbe et gros bouquet plein d\'amour pour pas très cher !',
          ean: '123456',
          price: 15,
          quantity: 10,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'e@fleur.fr',
    password: hash('ef'),
    name: 'Les parterres du Panthéon',
    address: {
      create: {
        city: 'Paris',
        street: '9 rue Clovis',
        postalCode: '75005',
      },
    },
    latitude: 48.846055,
    longitude: 2.349497,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.846055, 2.349497),
    items: {
      create: [
        {
          name: 'Bouquet de Noel',
          description: 'Si vous ne pouvez pas le dire avec ces mots, souhaitez le avec beaucoup de fleurs. offrez le bouquet de noel idéal',
          ean: '123456',
          price: 26,
          quantity: 40,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Vous prendez bien une fleur',
          description: 'Offrez une jolie attention. N\'importe laquelle de nos fleurs fraiches pour l\'élu de vos pensées',
          ean: '987654',
          price: 6,
          quantity: 120,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'f@fleur.fr',
    password: hash('fl'),
    name: 'Le fleuriste Gay-Lussac',
    address: {
      create: {
        city: 'Paris',
        street: '43 rue Gay-Lussac',
        postalCode: '75005',
      },
    },
    latitude: 48.842211,
    longitude: 2.343242,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.842211, 2.343242),
    items: {
      create: [
        {
          name: 'La composition du maitre',
          description: 'Composer votre bouquet de fleur parmi nos fleur fraiche coupé pour un montant de 50 euros',
          ean: '123456',
          price: 50,
          quantity: 80,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'La belle idée',
          description: 'Vous pensez simplement à quelqu\'un et lui offrez quelques petites fleurs parmi celle que nous avons pour un montant de 20 euros',
          ean: '987654',
          price: 20,
          quantity: 80,
          type: 'FLOWERS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Le miel de la vie - 300ml',
          description: 'Notre miel fait en collaboration avec des apiculteurs d\'île de France. miel de Lavande Bio en pot de 300 ml',
          ean: '987654',
          price: 9,
          quantity: 40,
          type: 'MISCELLANEOUS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Liqueur de Myrtille - 50cl',
          description: 'c\'est une liqueur de fleur et de fruit faites par nos soins grace aux fruits de cultivateurs d\'Ile de France. Existe en bouteille de 50cl.',
          ean: '987654',
          price: 22,
          quantity: 40,
          type: 'LIQUOR',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'a@bijou.fr',
    password: hash('ab'),
    name: 'Oul etû',
    address: {
      create: {
        city: 'Paris',
        street: '120 rue de Turenne',
        postalCode: '75003',
      },
    },
    latitude: 48.863562,
    longitude: 2.364779,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.863562, 2.364779),
    items: {
      create: [
        {
          name: 'RAMBA',
          description: 'Un collier simple aux dorures prononcé. Fil de métal noué puis tréssé pour souligner l\'élégance du grain de peau',
          ean: '123456',
          price: 50,
          quantity: 40,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'VITALI',
          description: 'Une bague très ornementé, aux ciselures fines, expression du savoir faire de nos artisans pour mettre en valeurs les doigts de fées',
          ean: '987654',
          price: 80,
          quantity: 30,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'KATAMBO',
          description: 'Un pendentif fait de métal aplati tacheté d\'argent. Motif savane et sauvage pour exposer toute les animalités!',
          ean: '987654',
          price: 40,
          quantity: 30,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'TAFFALA',
          description: 'Une boucle d\'oreille qui a du piquant, un peu rock, un peu sage pour que ressorte la dualité entre femme et ogre !',
          ean: '987654',
          price: 45,
          quantity: 30,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'b@bijou.fr',
    password: hash('bb'),
    name: 'la pierre plate',
    address: {
      create: {
        city: 'Paris',
        street: '10 rue Charlot',
        postalCode: '75003',
      },
    },
    latitude: 48.859872,
    longitude: 2.360854,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.859872, 2.360854),
    items: {
      create: [
        {
          name: 'La LEE',
          description: 'Une monture simple pour mettre en valeur une agathe superbe, mordorée, choisie',
          ean: '123456',
          price: 75,
          quantity: 15,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'la RIV',
          description: 'Une pierre rose sur une monture noircie au chalumeau.',
          ean: '987654',
          price: 90,
          quantity: 15,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Le PREC',
          description: 'Un diamant brute posé sur une pince en platine ciselé et brossé.',
          ean: '987654',
          price: 460,
          quantity: 6,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'c@bijou.fr',
    password: hash('cb'),
    name: 'Le lapidaire',
    address: {
      create: {
        city: 'Paris',
        street: '8 rue de Birague',
        postalCode: '75004',
      },
    },
    latitude: 48.854271,
    longitude: 2.365086,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.854271, 2.365086),
    items: {
      create: [
        {
          name: 'Set d\'outils du joaillier',
          description: 'une élégante poche de cuir regorgant d\'ustensil : les poinçons, trois pinces, les eclis de précision, la lunette millimétrique, le ruban polieur et la ribambelle de sturle, créée et utilisé par nos propres bijoutiers.',
          ean: '123456',
          price: 165,
          quantity: 40,
          type: 'MISCELLANEOUS',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'la harpe de Valmeuse',
          description: 'Une harpe en or et rubis, ciselé à la main. Une parrure méttant en avant un travail de taille d\'une pierre Sri-lankaise parfaitement pure.',
          ean: '123456',
          price: 380,
          quantity: 1,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'l\'Océanicor',
          description: 'C\'est un saphir de 2 carats de Turquie, taillé en coussin, monté sur une broche d\'or et d\'argent. L\'or est irisé, borssé, mat. ',
          ean: '123456',
          price: 560,
          quantity: 1,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'd@bijou.fr',
    password: hash('db'),
    name: 'Chrissis',
    address: {
      create: {
        city: 'Paris',
        street: '12 quai de la Corse',
        postalCode: '75004',
      },
    },
    latitude: 48.855907,
    longitude: 2.347461,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.855907, 2.347461),
    items: {
      create: [
        {
          name: 'Bague Paris',
          description: 'Une bague représentant Paris et la france, bleu blanc rouge!',
          ean: '123456',
          price: 20,
          quantity: 80,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Collier Moulin Rouge',
          description: 'Un collier avec un pendentif charmeur. Une danseuse de Frnch cancan qui aguiche la poitrine des jolies dames. ',
          ean: '987654',
          price: 30,
          quantity: 30,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'e@bijou.fr',
    password: hash('eb'),
    name: 'Le joaillier du 5ème',
    address: {
      create: {
        city: 'Paris',
        street: '3 rue de Latran',
        postalCode: '75005',
      },
    },
    latitude: 48.849623,
    longitude: 2.346494,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.849623, 2.346494),
    items: {
      create: [
        {
          name: 'Collier en or 18 carats - Opalith pure',
          description: 'Collier réalisé dans nos ateliers avec de l\'or de Birmanie et une Opalith Australienne. Taille, façonnage et certissage réalisé par nos maitre joaillier. Pièce rare',
          ean: '123456',
          price: 220,
          quantity: 5,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Bague platine pure - Rubis 3 carats',
          description: 'Bague conçue et réalisée dans nos atliers avec de la platine Groenlandaise et un Rubis de Ceylan. Taille, façonnage et certissage réalisé par nos maitre joaillier. Pièce unique.',
          ean: '987654',
          price: 320,
          quantity: 1,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Broche or - Emeraude en coussin 4 carats',
          description: 'Broche exécutée dans nos atliers avec de l\'or de Birmanie et une émeraude du Brésil. Taille en coquille et coussin, façonnage et certissage réalisé par nos maitre joaillier. Pièce unique.',
          ean: '987654',
          price: 280,
          quantity: 1,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'f@bijou.fr',
    password: hash('fb'),
    name: 'Montres Mastroyan',
    address: {
      create: {
        city: 'Paris',
        street: '18 rue du Cardinal Lemoine',
        postalCode: '75005',
      },
    },
    latitude: 48.848664,
    longitude: 2.353616,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.848664, 2.353616),
    items: {
      create: [
        {
          name: 'Chronographe Ulysse Nardin - éclair',
          description: 'Une montre rare d\'un horloger suisse d\'exception. Une réalisation des années 60 entièrement remise à neuf marchant à la perfection. finition argent et or. 8 impulsions. Cadran nacre. ancre emeraude. Certificat d\'authenticité disponible',
          ean: '123456',
          price: 1250,
          quantity: 1,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'ROLEX Datejust 31',
          description: 'Un model légendaire neuf, orné de pierre, finit à l\'or. cadran Ivoir et platine. certificat disponible. Pièce écoulé',
          ean: '987654',
          price: 4500,
          quantity: 1,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Longines Master Collection',
          description: 'Montre sportive restaurée dans nos ateliers. Point d\'impulsion tridenté. Grande trotteuse or. Trotteuse Chrono platine; Finition nacre en inclusion. Certificat disponible.',
          ean: '987654',
          price: 2300,
          quantity: 3,
          type: 'JEWELS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Poche entretien Montre grand sport',
          description: 'Une pochette en cuir piquet et lanière satin comprennnat une goupille et son huile de lin; les pinces à Giron; les ustensils de toolerie pour réglage millimétrique. Produit professionnel réalisé en France',
          ean: '987654',
          price: 150,
          quantity: 20,
          type: 'MISCELLANEOUS',
          ecoFriendly: false,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'a@shirt.fr',
    password: hash('as'),
    name: 'Betterave et Arrosoir',
    address: {
      create: {
        city: 'Paris',
        street: '60 rue Pastourelle',
        postalCode: '75003',
      },
    },
    latitude: 48.863164,
    longitude: 2.358739,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.863164, 2.358739),
    items: {
      create: [
        {
          name: 'T-shirt beetroot',
          description: 'Notre T-SHIRT bestseller! Manche courte, coton et imprimé vinyle, c\'est notre produit phare !',
          ean: '123456',
          price: 50,
          quantity: 40,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Jupe COQUELETTE',
          description: 'elle est sex la jupe Coquelette. Elle se porte en soirée, en journée, en cuir, en leggin, sans rien en dessous, sans rien au dessus. Elle est pour qui la coquelette?',
          ean: '987654',
          price: 80,
          quantity: 30,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: true,
        }, {
          name: 'Manteau TAFTATA',
          description: 'Tout est dans le nom! c\'est du tafta, c\'est un manteau, ce pourrait être vieillot mais c\'est plutot assez jeunot! Ca va lui aller !',
          ean: '987654',
          price: 240,
          quantity: 30,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Echarpe AGLAGLA',
          description: 'S\'il fait froid, il lui faiut ça! De la aline de mouton tricoté en mailles bien sérrées. C\'est chic, unique et ça tient chaud ( et il y a du vinyle :))',
          ean: '987654',
          price: 45,
          quantity: 30,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'b@shirt.fr',
    password: hash('bs'),
    name: 'FAMOUS',
    address: {
      create: {
        city: 'Paris',
        street: '57 rue des Quatre-Fils',
        postalCode: '75003',
      },
    },
    latitude: 48.860654,
    longitude: 2.35935,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.860654, 2.35935),
    items: {
      create: [
        {
          name: 'GLOBER BOMBER',
          description: 'C\'est notre Bomber le plus chaud. faite garder le style NYC avec ce vêteùent adaptable à toute les situations hivernales.',
          ean: '123456',
          price: 175,
          quantity: 20,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'PRICKY SHIRTER',
          description: 'Ca ne peut que vous aller. Un ensemble américan vintage cousu en une combinaison patchwork de style et de caractère. On rest les seuls à le faire!',
          ean: '987654',
          price: 120,
          quantity: 20,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'SUNDANCE SHIRTER',
          description: 'C\'est le T-shirt du festival Sundance dont nous sommes sponsor mode. Un modèle porté et souhaité par les plus grand. S\'il est exclusif? oui, bien entendu.',
          ean: '987654',
          price: 100,
          quantity: 20,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'c@shirt.fr',
    password: hash('cb'),
    name: 'JiMu',
    address: {
      create: {
        city: 'Paris',
        street: '32 rue de Rivoli',
        postalCode: '75004',
      },
    },
    latitude: 48.857859,
    longitude: 2.350186,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.857859, 2.350186),
    items: {
      create: [
        {
          name: 'TONTEN laine',
          description: 'Un vêtement pensé pour durer. En laine Bio, traissé sur métier dans nos ateliers, il existe en plusieurs taille et convient à toute les température graace à ses fibres intersticié. en vrai, un pull parfait !',
          ean: '123456',
          price: 40,
          quantity: 40,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'CHAUSSETTE MONJI',
          description: 'Une chaussette japonaise typique pour un confort de texture et de positionnement des orteils optimal.',
          ean: '123456',
          price: 12,
          quantity: 100,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: false,
        }, {
          name: 'Bouteille à savon platique recyclé 50cl',
          description: 'Cette bouteille peut contenir tout vos condiments ménagé, réutilisable pendant des décénnies! ',
          ean: '123456',
          price: 9.90,
          quantity: 100,
          type: 'MISCELLANEOUS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'd@shirt.fr',
    password: hash('ds'),
    name: 'Ishiki',
    address: {
      create: {
        city: 'Paris',
        street: '80 rue de Rivoli',
        postalCode: '75004',
      },
    },
    latitude: 48.857859,
    longitude: 2.350186,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.857859, 2.350186),
    items: {
      create: [
        {
          name: 'Foulard satin IBANI',
          description: 'Basé sur un savoir faire Japonais, le IBANI est en satin véritable 100% extrait biologiquement. Sa fibre soyeuse protège du froid et s\'allonge élégamment sur toutes les formes ',
          ean: '123456',
          price: 80,
          quantity: 10,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Bonnet alpaga SATOSHI',
          description: 'Fusion des savoirs faires péruviens et japonais, ce bonnet au srtyle andin bénéficie des techniques des maitres tailleurs et Japonais et Français au seins de nos ateliers d\'Arcueil. L\'alpaga est élevé en France. ',
          ean: '987654',
          price: 75,
          quantity: 30,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'e@shirt.fr',
    password: hash('es'),
    name: 'JiMu',
    address: {
      create: {
        city: 'Paris',
        street: '47 rue saint Jacques',
        postalCode: '75005',
      },
    },
    latitude: 48.851399,
    longitude: 2.345857,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.851399, 2.345857),
    items: {
      create: [
        {
          name: 'TONTEN laine',
          description: 'Un vêtement pensé pour durer. En laine Bio, traissé sur métier dans nos ateliers, il existe en plusieurs taille et convient à toute les température graace à ses fibres intersticié. en vrai, un pull parfait !',
          ean: '123456',
          price: 40,
          quantity: 40,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'CHAUSSETTE MONJI',
          description: 'Une chaussette japonaise typique pour un confort de texture et de positionnement des orteils optimal.',
          ean: '123456',
          price: 12,
          quantity: 100,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: false,
        }, {
          name: 'Bouteille à savon platique recyclé 50cl',
          description: 'Cette bouteille peut contenir tout vos condiments ménagé, réutilisable pendant des décénnies! ',
          ean: '123456',
          price: 9.90,
          quantity: 100,
          type: 'MISCELLANEOUS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Crayon 4 couleurs',
          description: 'Un seul outil pour toutes vos créations ',
          ean: '123456',
          price: 12.20,
          quantity: 100,
          type: 'MISCELLANEOUS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'f@shirt.fr',
    password: hash('fs'),
    name: 'Sport Montagne 3000',
    address: {
      create: {
        city: 'Paris',
        street: '38 rue des Ecoles',
        postalCode: '75005',
      },
    },
    latitude: 48.849246,
    longitude: 2.346524,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.849246, 2.346524),
    items: {
      create: [
        {
          name: 'Veste Patagonia Hiverna',
          description: 'Le model emblématique de la marque Patagonia revient avec ce nouvel opus. Léger et en matériaux recyclé, c\'est un cadeau parfait pour les mordus d\'altitude toutes saisons',
          ean: '123456',
          price: 180,
          quantity: 15,
          type: 'CLOTHES',
          ecoFriendly: true,
          madeInFrance: false,
        }, {
          name: 'Pantalon de ski SPYDER T500',
          description: 'Un pantalon Lycra adapté au skieur du meilleur niveau, respirant et technique, il s\'adapte au ski toute saison et protège son utilisateur grace à ses fibres renforcées.',
          ean: '987654',
          price: 230,
          quantity: 15,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'CASQUES HUBLOT CAIRN 8 MOUTAIN',
          description: 'Un nouveau model kevlar renforce cette gamme ultra technique de la marque Cairn avec visière irisée rabatable.',
          ean: '987654',
          price: 340,
          quantity: 10,
          type: 'CLOTHES',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'a@cosme.fr',
    password: hash('ac'),
    name: 'Flush',
    address: {
      create: {
        city: 'Paris',
        street: '3 rue de Turenne',
        postalCode: '75003',
      },
    },
    latitude: 48.855015,
    longitude: 2.363169,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.855015, 2.363169),
    items: {
      create: [
        {
          name: 'Savon Sleepy',
          description: 'ça fait bien dormir !',
          ean: '123456',
          price: 3.5,
          quantity: 400,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'BOMB\'HAIR',
          description: 'Pour des cheveux qui décoiffe !',
          ean: '987654',
          price: 9,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'BLOU GLOU STICKS',
          description: 'Tes lèvres seront des cerises !',
          ean: '987654',
          price: 8,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'LOVE, NIGHT AND  BABY',
          description: 'Cascade de 3 parfums pour emballer sévère !',
          ean: '987654',
          price: 45,
          quantity: 150,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'RED A STICK',
          description: 'Je ne vois plus que ma bouche! wwhhoouu!',
          ean: '123456',
          price: 8,
          quantity: 400,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'AAAHHHH OOUII',
          description: 'tout est dans le titre, le reste est au lit !',
          ean: '987654',
          price: 18,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'FABULOUS BODY',
          description: 'Avec ce coffrets là, plus rien à retoucher, tu es parfaite',
          ean: '987654',
          price: 38,
          quantity: 120,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'savon COTON\'ELLE',
          description: 'Ta peau, je vais m\'en faire un pull bb !',
          ean: '987654',
          price: 6.5,
          quantity: 250,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'b@cosm.fr',
    password: hash('bc'),
    name: 'Lutambe - parfum du monde',
    address: {
      create: {
        city: 'Paris',
        street: '4 rue de beauce',
        postalCode: '75003',
      },
    },
    latitude: 48.86243,
    longitude: 2.360682,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.86243, 22.360682),
    items: {
      create: [
        {
          name: 'Desert de Gobi - 50cl',
          description: 'Saveur chaude de cannelle et de thym dans un parfum muscé très masculin. Une ode à l\'esprit sauvage',
          ean: '123456',
          price: 85,
          quantity: 20,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Alaska Pipeline - 50cl',
          description: 'Une fragrance de glace à base d\'eau de myrtille et d\'extrait de baleine. Une combinaison d\'odeurs gazolées et froides pour un chaud froid d\'odeur polaire',
          ean: '987654',
          price: 100,
          quantity: 20,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'c@cosm.fr',
    password: hash('cc'),
    name: 'Flush',
    address: {
      create: {
        city: 'Paris',
        street: '32 rue de Rivoli',
        postalCode: '75004',
      },
    },
    latitude: 48.850057,
    longitude: 2.358952,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.850057, 2.358952),
    items: {
      create: [
        {
          name: 'Savon Sleepy',
          description: 'ça fait bien dormir !',
          ean: '123456',
          price: 3.5,
          quantity: 400,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'BOMB\'HAIR',
          description: 'Pour des cheveux qui décoiffe !',
          ean: '987654',
          price: 9,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'BLOU GLOU STICKS',
          description: 'Tes lèvres seront des cerises !',
          ean: '987654',
          price: 8,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'LOVE, NIGHT AND  BABY',
          description: 'Cascade de 3 parfums pour emballer sévère !',
          ean: '987654',
          price: 45,
          quantity: 150,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'RED A STICK',
          description: 'Je ne vois plus que ma bouche! wwhhoouu!',
          ean: '123456',
          price: 8,
          quantity: 400,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'AAAHHHH OOUII',
          description: 'tout est dans le titre, le reste est au lit !',
          ean: '987654',
          price: 18,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'FABULOUS BODY',
          description: 'Avec ce coffrets là, plus rien à retoucher, tu es parfaite',
          ean: '987654',
          price: 38,
          quantity: 120,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'savon COTON\'ELLE',
          description: 'Ta peau, je vais m\'en faire un pull bb !',
          ean: '987654',
          price: 6.5,
          quantity: 250,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'd@cosm.fr',
    password: hash('dc'),
    name: 'COSMOTICS - Paris',
    address: {
      create: {
        city: 'Paris',
        street: '8 rue saint-Louis en l\'ile',
        postalCode: '75004',
      },
    },
    latitude: 48.850993,
    longitude: 2.359002,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.850993, 2.359002),
    items: {
      create: [
        {
          name: 'Rouge à lèvre - Lancôme',
          description: 'Lancome- Rouge à lèvre supersecheur - Couleur glossy - Ral512',
          ean: '123456',
          price: 12,
          quantity: 40,
          type: 'COSMETICS',
          ecoFriendly: false,
          madeInFrance: false,
        }, {
          name: 'Eyeliner - Greysad - Loréal',
          description: 'Loréal - Eyeliner superstay couelur graysad RAL 231 ',
          ean: '987654',
          price: 9.7,
          quantity: 60,
          type: 'COSMETICS',
          ecoFriendly: false,
          madeInFrance: false,
        },
      ],
    },
  },
  {
    email: 'e@cosm.fr',
    password: hash('ec'),
    name: 'JEAN CAILLOU',
    address: {
      create: {
        city: 'Paris',
        street: '9 boulevard saint-Michel',
        postalCode: '75005',
      },
    },
    latitude: 48.852251,
    longitude: 2.343788,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.852251, 2.343788),
    items: {
      create: [
        {
          name: 'Coffret huile d\'argan 6*30cl',
          description: 'Un coffret beauté à base d\'huile d\'argent et de senteur orientale pour traiter votre peau contre les agressions de l\'hiver.',
          ean: '123456',
          price: 24,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Coffret soin du corps Act beauty',
          description: 'Un set de produit du gel douche au gommage pour une peau parfaite à l\'apporche des fêtes.',
          ean: '123456',
          price: 32,
          quantity: 100,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Senteur de Noel - Edition limitée',
          description: 'Un ensemble de produit de beauté pour se parfumer et prendre soin de ses mains en se sentant de saison. ',
          ean: '123456',
          price: 26,
          quantity: 100,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'Elixir Jeunesse',
          description: 'Votre arme Jean Caillou pour retrouver la peau de vos jeunes années. ',
          ean: '123456',
          price: 13.5,
          quantity: 100,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },
  {
    email: 'f@cosm.fr',
    password: hash('fc'),
    name: 'Flush',
    address: {
      create: {
        city: 'Paris',
        street: '65 boulevard saint Germain',
        postalCode: '75005',
      },
    },
    latitude: 48.850547,
    longitude: 2.346004,
    smallShop: true,
    locationHash: GeoHash.encodeGeoHash(48.850547, 2.346004),
    items: {
      create: [
        {
          name: 'Savon Sleepy',
          description: 'ça fait bien dormir !',
          ean: '123456',
          price: 3.5,
          quantity: 400,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'BOMB\'HAIR',
          description: 'Pour des cheveux qui décoiffe !',
          ean: '987654',
          price: 9,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'BLOU GLOU STICKS',
          description: 'Tes lèvres seront des cerises !',
          ean: '987654',
          price: 8,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'LOVE, NIGHT AND  BABY',
          description: 'Cascade de 3 parfums pour emballer sévère !',
          ean: '987654',
          price: 45,
          quantity: 150,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'RED A STICK',
          description: 'Je ne vois plus que ma bouche! wwhhoouu!',
          ean: '123456',
          price: 8,
          quantity: 400,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'AAAHHHH OOUII',
          description: 'tout est dans le titre, le reste est au lit !',
          ean: '987654',
          price: 18,
          quantity: 300,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'FABULOUS BODY',
          description: 'Avec ce coffrets là, plus rien à retoucher, tu es parfaite',
          ean: '987654',
          price: 38,
          quantity: 120,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        }, {
          name: 'savon COTON\'ELLE',
          description: 'Ta peau, je vais m\'en faire un pull bb !',
          ean: '987654',
          price: 6.5,
          quantity: 250,
          type: 'COSMETICS',
          ecoFriendly: true,
          madeInFrance: true,
        },
      ],
    },
  },

];


export default sellers.map((s) => ({
  ...s,
  items: {
    ...s.items,
    create: s.items.create.filter((i) => i.ean)
      .map((item) => ({
        ...item,
        fees: calculateFees(item.price),
        stock: item.quantity,
      })),
  },
}));
